Sophie

Sophie

distrib > Fedora > 14 > x86_64 > by-pkgid > 90faff050bf25246d60dc22451622d5a > files > 20

gridengine-6.2u5-6.fc14.src.rpm

--- gridengine/source/dist/util/install_modules/inst_common.sh.gethostname	2010-08-26 07:57:41.000000000 +1200
+++ gridengine/source/dist/util/install_modules/inst_common.sh	2010-11-23 10:24:51.932798405 +1300
@@ -1569,18 +1569,37 @@ 
 #-------------------------------------------------------------------------
 # CheckForLocalHostResolving
 #   "localhost", localhost.localdomain and 127.0.x.x are not supported
+#   if there are no other names or no other ip addresses
 #   
 #
 CheckForLocalHostResolving()
 {
-   output=`$SGE_UTILBIN/gethostname| cut -f2 -d:`
+   output=`$SGE_UTILBIN/gethostname| grep "^Host" | cut -f2 -d:`
+
+   notok=true
+   hostok=false
+   ipok=false
 
-   notok=false
    for cmp in $output; do
       case "$cmp" in
-      localhost*|127.0*)
-         notok=true
+      (localhost*|127.0*)
          ;;
+      (*)
+         isIp=`IsIpAddress $cmp `
+         if [ $? -eq 1 ]; then
+	     if [ $hostok = true ]; then
+		 notok=false
+		 break
+	     fi
+	     ipok=true
+         else
+	     if [ $ipok = true ]; then
+		 notok=false
+		 break
+	     fi
+	     hostok=true
+         fi
+	 ;;
       esac
    done